org.eclipse.jgit.api

## Enum ListBranchCommand.ListMode

- java.lang.Object
- - java.lang.Enum<ListBranchCommand.ListMode>
  - - org.eclipse.jgit.api.ListBranchCommand.ListMode

All Implemented Interfaces:
  Serializable, Comparable<ListBranchCommand.ListMode>

Enclosing class:
  ListBranchCommand

    public static enum ListBranchCommand.ListMode
    extends Enum<ListBranchCommand.ListMode>

The modes available for listing branches (corresponding to the -r and -a options)

### Enum Constant Summary

Enum Constants
Enum Constant and Description
`ALL` Corresponds to the -a option (all branches)
`REMOTE` Corresponds to the -r option (remote branches only)

### Method Summary

All Methods Static Methods Concrete Methods
`static ListBranchCommand.ListMode` `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static ListBranchCommand.ListMode[]` `values()` Returns an array containing the constants of this enum type, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

### Enum Constant Detail

#### ALL

    public static final ListBranchCommand.ListMode ALL

Corresponds to the -a option (all branches)

#### REMOTE

    public static final ListBranchCommand.ListMode REMOTE

Corresponds to the -r option (remote branches only)

### Method Detail

#### values

    public static ListBranchCommand.ListMode[] values()

Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

    for (ListBranchCommand.ListMode c : ListBranchCommand.ListMode.values())
        System.out.println(c);

Returns:
  an array containing the constants of this enum type, in the order they are declared

#### valueOf

    public static ListBranchCommand.ListMode valueOf(String name)

Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum type has no constant with the specified name
  `NullPointerException` - if the argument is null